last-align (932-1) unstable; urgency=medium

  * New upstream version
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.4

 -- Andreas Tille <tille@debian.org>  Thu, 26 Apr 2018 22:27:19 +0200

last-align (921-1) unstable; urgency=medium

  * New upstream version
  * make build compatible with -Wl, --as-needed (thanks for the patch to
    Steve Langasek <steve.langasek@canonical.com>)
    Closes: #889506
  * cme fix dpkg-control
  * debhelper 11
  * d/rules: do not parse changelog

 -- Andreas Tille <tille@debian.org>  Mon, 05 Feb 2018 10:39:42 +0100

last-align (885-1) unstable; urgency=medium

  * New upstream version 885
  * debian/rules: re-enable multi-threading.
  * debian/control: build-depend on zlib1g-dev.

 -- Charles Plessy <plessy@debian.org>  Sun, 15 Oct 2017 22:20:19 +0900

last-align (869-1) unstable; urgency=low

  * Team upload.

  [ Steffen Moeller ]
  * [debian/upstream/metadata] Added references to
    OMICtools, bio.tools, RRID

  [ Sascha Steinbiss ]
  * New upstream release.
  * Use python-pil instead of python-imaging as dependency.
    Closes: #866438
  * Add needs-recommends to d/t/control to fix autopkgtests.

 -- Sascha Steinbiss <satta@debian.org>  Fri, 11 Aug 2017 15:17:15 -0400

last-align (830-2) unstable; urgency=low

  * Team upload.
  
  [ Nadiya Sitdykova ]
  * Add autopkgtest test-suite

 -- Nadiya Sitdykova <rovenskasa@gmail.com>  Tue, 06 Jun 2017 01:56:56 -0400

last-align (830-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 23 Jan 2017 08:47:32 +0100

last-align (828-1) unstable; urgency=medium

  * New upstream version
  * Manpages for new binaries

 -- Andreas Tille <tille@debian.org>  Mon, 09 Jan 2017 14:16:28 +0100

last-align (809-1) unstable; urgency=medium

  * New upstream version
  * debhelper 10
  * d/watch: version=4

 -- Andreas Tille <tille@debian.org>  Wed, 30 Nov 2016 16:04:04 +0100

last-align (759-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 18 Oct 2016 13:43:13 +0200

last-align (755-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sat, 10 Sep 2016 22:37:20 +0200

last-align (752-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 16 Aug 2016 14:35:15 +0200

last-align (746-1) unstable; urgency=medium

  * New upstream version

 -- Charles Plessy <plessy@debian.org>  Fri, 15 Jul 2016 14:24:00 +0900

last-align (737-1) unstable; urgency=medium

  * New upstream version
  * cme fix dpkg-control
  * better hardening

 -- Andreas Tille <tille@debian.org>  Wed, 18 May 2016 18:08:29 +0200

last-align (731-1) unstable; urgency=medium

  * New upstream version
  * Fix debian/upstream/metadata
  * Use xz compression in watch opts
  * cme fix dpkg-control

 -- Andreas Tille <tille@debian.org>  Sat, 12 Mar 2016 08:01:37 +0100

last-align (712-1) unstable; urgency=medium

  [ Andreas Tille ]
  * New upstream version
  * Moved to Git
  * Add missing manpages
  * Depends: parallel (instead of Suggests)

  [ Julien Lamy ]
  * debian/rules:
    - Add missing build flags
    - Do not try to create manpage for removed tool

 -- Andreas Tille <tille@debian.org>  Thu, 31 Dec 2015 09:18:43 +0100

last-align (658-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 29 Oct 2015 16:23:59 +0100

last-align (621-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 24 Sep 2015 08:53:43 +0200

last-align (588-1) unstable; urgency=medium

  * New upstream version
  * Binaries lastex and last-pair-probs do not belong to the package any more
  * Removed paragraphs from copyright where files are not part of the
    source any more

 -- Andreas Tille <tille@debian.org>  Mon, 06 Jul 2015 18:00:21 +0200

last-align (490-1) unstable; urgency=medium

  * New upstream version
  * get-orig-source target now with xz compression
  * cme fix dpkg-control
  * Upstream dropped .py suffix - adpapt help2man calls in d/rules

 -- Andreas Tille <tille@debian.org>  Thu, 23 Oct 2014 22:30:48 +0200

last-align (475-1) unstable; urgency=medium

  * New upstream release.
  * debian/rules:
    - removed compression command, as it is now the default. 
    - removed manual page of last-merge-batches.py.
  * debian/control: suggest GNU parallel.
  * debian/README.source: removed as conversion from zip is now automagic. 

 -- Charles Plessy <plessy@debian.org>  Sat, 16 Aug 2014 15:20:37 +0900

last-align (418-1) unstable; urgency=medium

  * New upstream release
  * debian/upstream -> debian/upstream/metadata

 -- Andreas Tille <tille@debian.org>  Fri, 21 Mar 2014 14:57:56 +0100

last-align (393-1) unstable; urgency=medium

  * New upstream release
  * cme fix dpkg-control
  * debian/rules: Adapt help2man to the fact that two scripts were
    deleted from upstream source (no idea how to write manpages for the
    new parallel-* scripts)
  * Adapt doc-base control script (text file might be uncompressed)

 -- Andreas Tille <tille@debian.org>  Tue, 28 Jan 2014 17:57:09 +0100

last-align (359-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - Removed Pre-Depends on dpkg as Ubuntu LTS is released.
    - Removed obsolete DM-Upload-Allowed field.
    - Use canonical VCS URLs.
    - Normalised with config-model-edit.
    - Removed version constraint on help2man, satisfied in oldstable.
    - Mark conformance with Policy version 3.9.4.
  * debian/watch: updated.
  * debian/rules:
    - Restore xz compression of the binary packages.
    - Produce a manual page for ‘last-split’ with help2man.

 -- Charles Plessy <plessy@debian.org>  Sun, 06 Oct 2013 12:16:12 +0900

last-align (199-1) unstable; urgency=low

  [ Charles Plessy ]
  * Summarise LAST license in debian/copyright header.

  [ Andreas Tille ]
  * New upstream version
    Closes: #667939
  * debian/rules:
     - switch from cdbs to dh
     - add help2man call for lastex
  * debian/install:
     - removed to use upstream install target (which also installs
       lastex)
  * debian/copyright: Make Source field more generic

 -- Andreas Tille <tille@debian.org>  Mon, 07 May 2012 13:28:25 +0200

last-align (198-1) unstable; urgency=low

  * New upstream version
  * debian/rules,debian/get-orig-source: Simplified downloading original
    source
  * debhelper 9 to enable hardening flags (control+compat, closes: #667939).

 -- Andreas Tille <tille@debian.org>  Mon, 02 Apr 2012 14:16:35 +0200

last-align (193-1) unstable; urgency=low

  * New upstream version
  * debian/upstream: Removed duplicate entries for DOI/PMID
  * debian/control: Standards-Version: 3.9.3 (no changes needed)

 -- Andreas Tille <tille@debian.org>  Thu, 08 Mar 2012 14:34:36 +0100

last-align (189-1) unstable; urgency=low

  * New upstream release.
  * Autogenerate a manual page for last-merge-batches (debian/rules).

 -- Charles Plessy <plessy@debian.org>  Sat, 22 Oct 2011 18:32:17 +0900

last-align (184-1ubuntu1) precise; urgency=low

  * Pre-Depends: dpkg (>= 1.15.6) for xz compression support.  Needed until
    after Ubuntu 12.04 LTS.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 17 Oct 2011 21:40:04 +0100

last-align (184-1) unstable; urgency=low

  * New upstream release.
  * Corrected VCS URLs (debian/control).
  * Compress source and binary package with xz
    (debian/get-orig-source, debian/rules).

 -- Charles Plessy <plessy@debian.org>  Sat, 17 Sep 2011 20:31:16 +0900

last-align (178-1) unstable; urgency=low

  * New upstream release changing format of lastal output (r177).

 -- Charles Plessy <plessy@debian.org>  Thu, 30 Jun 2011 13:53:03 +0900

last-align (171-1) unstable; urgency=low

  * New upstream release accepting gcc-4.6.patch (LP: #770770).
    - Deleted debian/patches and its contents.
  * Install changelog through CDBS (debian/rules, debian/docs).
  * Proofread debian/copyright and refreshed DEP-5 format.

 -- Charles Plessy <plessy@debian.org>  Mon, 16 May 2011 22:01:53 +0900

last-align (162-1) unstable; urgency=low

  * New upstream version
  * Standards-Version: 3.9.2 (no changes needed)
  * debian/patches/gcc-4.6.patch: Fix gcc-4.6 build error
    Closes: #625084

 -- Andreas Tille <tille@debian.org>  Mon, 02 May 2011 15:29:14 +0200

last-align (159-1) unstable; urgency=low

  * New upstream version
  * Debhelper 8 (control+compat)
  * debian/last-align.doc-base.last-align-manual: last-manual
    seems to have dropped in favour of last-tutorial and other
    smaller files
  * debian/rules: Call help2man for new additional script

 -- Andreas Tille <tille@debian.org>  Fri, 11 Mar 2011 23:29:44 +0100

last-align (146-1) unstable; urgency=low

  * New upstream version
  * debian/rules:
    - Maf2html is not any more in the source so we need not to create
      the manpage
    - Use help2man to create maf-cull manpage
    - Remove src/lastex in clean target

 -- Andreas Tille <tille@debian.org>  Thu, 25 Nov 2010 19:46:56 +0100

last-align (139-1) unstable; urgency=low

  * New upstream version
  * Standards-Version: 3.9.1 (no changes needed)

 -- Andreas Tille <tille@debian.org>  Wed, 17 Nov 2010 11:22:38 +0100

last-align (128-1) unstable; urgency=low

  * New upstream version
  * Standards-Version: 3.9.0 (no changes needed)

 -- Andreas Tille <tille@debian.org>  Fri, 09 Jul 2010 12:12:04 +0200

last-align (119-1) unstable; urgency=low

  [ Charles Plessy ]
  * New upstream version.
  * debian/rules get-orig-source:
  * Pass --best and --no-name to gzip, for reproductible MD5 sums.
  * Add ‘.orig’ to the repacked directory, to conform with the Debian
    Developer’s Reference (§ 6.7.8.2.4).
  * Build-depend on help2man (>= 1.36.4+nmu1), since the option
    --version-string is not available earlier.
  * Added missing empty line in debian/NEWS.
  * Gathered information about upstream in debian/upstream-metadata.yaml.

  [ Andreas Tille ]
  * debian/last-align.doc-base.last-align-lastex:
    Upstream documentation evalue-tables.txt was replaced by lastex.txt
  * debain/rules:
    Added help2man call for maf-convert

 -- Andreas Tille <tille@debian.org>  Thu, 24 Jun 2010 11:41:46 +0200

last-align (102-1) unstable; urgency=low

  * New upstream version
  * debian/rules: scripts/maf2tab.py was removed -> do not try to
    create manpage for this script
  * debian/source/format: 3.0 (quilt)

 -- Andreas Tille <tille@debian.org>  Mon, 29 Mar 2010 12:29:16 +0200

last-align (99-1) unstable; urgency=low

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 11 Mar 2010 15:38:23 +0100

last-align (96-1) unstable; urgency=low

  * New upstream version
  * Standards-Version: 3.8.4 (no changes needed)

 -- Andreas Tille <tille@debian.org>  Thu, 18 Feb 2010 14:43:15 +0100

last-align (87-1) unstable; urgency=low

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 03 Nov 2009 10:47:02 +0100

last-align (70-1) unstable; urgency=low

  * New upstream version
  * Removed quilt dependency because upstream has applied patches
  * help2man for all scripts
    TODO: Write real manpages using the comments inside the scripts.
    Upstream confirmed that there are no immediate plans for further
    changes so writing static man pages seems to make sense

 -- Andreas Tille <tille@debian.org>  Mon, 05 Oct 2009 11:56:25 +0200

last-align (62-1) unstable; urgency=low

  * New upstream version
  * debian/control:
    - Added myself to upstream
    - Standards-Version: 3.8.3
    - Build-Depends: help2man, quilt, python-imaging
    - Recommends: python-imaging
  * debian/rules: Try to create manpages via help2man wherever possible
  * debian/patches: Make sure help output goes to stdout as GNU coding
    style suggests and is needed by help2man

 -- Andreas Tille <tille@debian.org>  Tue, 29 Sep 2009 13:38:57 +0200

last-align (58-1) unstable; urgency=low

  * New upstream release able to use sequence quality scores. 

 -- Charles Plessy <plessy@debian.org>  Fri, 19 Jun 2009 20:47:02 +0900

last-align (52-1) unstable; urgency=low

  * New upstream releases (52 and 51). 
    - Added maf2html.py: converts MAF-format alignments to coloured HTML format.
    - Made lastal gapped extension faster, by removing an assert (surprising).
    - Bugfix: made last-dotplot.py not crash on small sequences.

 -- Charles Plessy <plessy@debian.org>  Mon, 18 May 2009 23:52:24 +0900

last-align (50-1) unstable; urgency=low

  * New upstream release (minor changes).

 -- Charles Plessy <plessy@debian.org>  Tue, 21 Apr 2009 09:59:54 +0900

last-align (48-1) unstable; urgency=low

  * New upstream release.
    - maf-join.py: joins pairwise alignments into multiple alignments.
    - Changed lastal default gap existence cost for DNA to 7.
    - Changed lastal default gapped score threshold for DNA to 40.
    - maf-swap.py: Added -n option to move any sequence to the top.
    - Allow suffixes K(ibibyte), M(ebibyte), and G(ibibyte) for sizes.
    - Plus other bugfixes and improvements, please refer Upstream's changelog.
  * Incremented Standards-Version in debian/control to reflect conformance
    with Policy 3.8.1 (no changes needed).
  * Simplified machine-readable debian/copyright file.
  * last-align.doc-base.last-align-scripts: last-scripts.txt is now compressed. 

 -- Charles Plessy <plessy@debian.org>  Wed, 08 Apr 2009 19:31:28 +0900

last-align (42-1) unstable; urgency=low

  * New upstream release:
    - Corrects an overflow error that made lastal discard some gapped
      alignments.
    - Allows lastal options to be set in the score-matrix file.
  * debian/copyright refreshed and points directly to GPLv3.
  * Corrected the description in debian/control to not use
    the first person.

 -- Charles Plessy <plessy@debian.org>  Tue, 10 Mar 2009 19:46:32 +0900

last-align (39-1) unstable; urgency=low

  * New upstream release.
    - Bugfix: for protein alignments, tyrosine was forbidden in initial
      matches.
    - *Old lastdb protein databases won't work properly: you need to re-run
      lastdb.*
  * Added debian/NEWS.Debian to indicate the backward incompatibility.
  * Debian/changelog: removed vanity entries and incremented copyright year.
  * Transferred informations about packaging practices and repository from
    README.source to README.Debian.

 -- Charles Plessy <plessy@debian.org>  Mon, 02 Feb 2009 12:42:26 +0900

last-align (37-1) unstable; urgency=low

  * New upstream release. 
    - Updated the documentation, including a table of optimal spaced seeds.
    - Made lastdb bucket-making code slightly simpler & faster.
    - Enabled reading & writing of huge files (at least on one system with
      Linux-2.6.13/x86_64/gcc-4.0.2).
    - Made lastdb radix sort a bit faster, with the oracle array trick.
    - Allowed the mismatch score to be zero, due to a request.
    - Made gaped extension faster for short sequences (e.g. tag mapping).
    - Bugfix: the sequence names weren't printed correctly for
      match-counting output (-j 0).
    - Fixed compiler warnings with gcc 4.3.

 -- Charles Plessy <plessy@debian.org>  Sun, 28 Dec 2008 12:49:05 +0100

last-align (31-1) unstable; urgency=low

  * Initial release (Closes: #498562)

 -- Charles Plessy <plessy@debian.org>  Thu, 13 Nov 2008 15:44:31 +0900
